Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCanvasLine Class Reference

The QCanvasLine class provides a line on a QCanvas. More...

    #include <QCanvasLine>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code.

Inherits QCanvasPolygonalItem.

- List of all members, including inherited members

### Public Functions

- QCanvasLine ( QCanvas * canvas )
- ~QCanvasLine ()
- QPoint endPoint () const
- virtual int rtti () const
- void setPoints ( int xa, int ya, int xb, int yb )
- QPoint startPoint () const

- 8 public functions inherited from QCanvasPolygonalItem
- 38 public functions inherited from QCanvasItem

### Protected Functions

- 6 protected functions inherited from QCanvasPolygonalItem
- 1 protected function inherited from QCanvasItem

## Detailed Description

The QCanvasLine class provides a line on a QCanvas.

The line inherits functionality from QCanvasPolygonalItem, for example the setPen() function. The start and end points of the line are set with setPoints().

Like any other canvas item lines can be moved with QCanvasItem::move() and QCanvasItem::moveBy(), or by setting coordinates with QCanvasItem::setX(), QCanvasItem::setY() and QCanvasItem::setZ().

## Member Function Documentation

### QCanvasLine::QCanvasLine ( QCanvas * canvas )

Constructs a line from (0,0) to (0,0) on canvas.

See also setPoints() and ..

### QCanvasLine::~QCanvasLine ()

Destroys the line.

### QPoint QCanvasLine::endPoint () const

Returns the end point of the line.

See also setPoints() and startPoint().

### int QCanvasLine::rtti () const `[virtual]`

Returns 7 (QCanvasItem::Rtti_Line).

Reimplemented from QCanvasItem.

See also QCanvasItem::rtti().

### void QCanvasLine::setPoints ( int xa, int ya, int xb, int yb )

Sets the line's start point to (xa, ya) and its end point to (xb, yb).

### QPoint QCanvasLine::startPoint () const

Returns the start point of the line.

See also setPoints() and endPoint().